Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp
Class Ordering.RelativeOrdering

    java.lang.Object
      org.eclipse.jetty.webapp.Ordering.RelativeOrdering

All Implemented Interfaces:
  Ordering

Enclosing interface:
  Ordering

    public static class Ordering.RelativeOrdering

extends java.lang.Object
implements Ordering

RelativeOrdering A set of elements in web-fragment.xmls.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.webapp.Ordering
`Ordering.AbsoluteOrdering, Ordering.RelativeOrdering`

Field Summary
`protected java.util.LinkedList<Resource>` | `_afterOthers`
`protected java.util.LinkedList<Resource>` | `_beforeOthers`
`protected MetaData` | `_metaData`
`protected java.util.LinkedList<Resource>` | `_noOthers`

Constructor Summary
`Ordering.RelativeOrdering(MetaData metaData)`

Method Summary
`void` | `addAfterOthers(Resource r)`
`void` | `addBeforeOthers(Resource r)`
`void` | `addNoOthers(Resource r)`
`protected int` | `getIndexOf(java.util.List<Resource> resources, java.lang.String fragmentName)`
`boolean` | `hasOther()`
`protected void` | `insert(java.util.List<Resource> list, int index, Resource resource)`
`protected void` | `insert(java.util.List<Resource> list, int index, java.lang.String fragName)` Insert the resource matching the fragName into the list of resources at the location indicated by index.
`boolean` | `isAbsolute()`
`protected boolean` | `isAfter(java.util.List<Resource> list, java.lang.String fragNameA, java.lang.String fragNameB)` Is fragment name "a" after fragment name "b"?
`protected boolean` | `isBefore(java.util.List<Resource> list, java.lang.String fragNameA, java.lang.String fragNameB)` Is fragment with name a before fragment with name b?
`java.util.List<Resource>` | `order(java.util.List<Resource> jars)` Order the list of jars according to the ordering declared in the various web-fragment.xml files.
`protected boolean` | `orderList(java.util.LinkedList<Resource> list)`
`protected void` | `remove(java.util.List<Resource> resources, Resource r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _metaData

    protected MetaData _metaData

### _beforeOthers

    protected java.util.LinkedList<Resource> _beforeOthers

### _afterOthers

    protected java.util.LinkedList<Resource> _afterOthers

### _noOthers

    protected java.util.LinkedList<Resource> _noOthers

Constructor Detail

### Ordering.RelativeOrdering

    public Ordering.RelativeOrdering(MetaData metaData)

Method Detail

### order

    public java.util.List<Resource> order(java.util.List<Resource> jars)

  Order the list of jars according to the ordering declared in the various web-fragment.xml files.

  Specified by:
    `order` in interface `Ordering`
  See Also:
    `Ordering.order(java.util.List)`

### isAbsolute

    public boolean isAbsolute()

  Specified by:
    `isAbsolute` in interface `Ordering`

### hasOther

    public boolean hasOther()

  Specified by:
    `hasOther` in interface `Ordering`

### addBeforeOthers

    public void addBeforeOthers(Resource r)

### addAfterOthers

    public void addAfterOthers(Resource r)

### addNoOthers

    public void addNoOthers(Resource r)

### orderList

    protected boolean orderList(java.util.LinkedList<Resource> list)

### isBefore

    protected boolean isBefore(java.util.List<Resource> list,
                               java.lang.String fragNameA,
                               java.lang.String fragNameB)

  Is fragment with name a before fragment with name b?

  Parameters:
    `list` -
    `fragNameA` -
    `fragNameB` -
  Returns:

### isAfter

    protected boolean isAfter(java.util.List<Resource> list,
                              java.lang.String fragNameA,
                              java.lang.String fragNameB)

  Is fragment name "a" after fragment name "b"?

  Parameters:
    `list` -
    `fragNameA` -
    `fragNameB` -
  Returns:

### insert

    protected void insert(java.util.List<Resource> list,
                          int index,
                          java.lang.String fragName)

  Insert the resource matching the fragName into the list of resources at the location indicated by index.

  Parameters:
    `list` -
    `index` -
    `fragName` -

### insert

    protected void insert(java.util.List<Resource> list,
                          int index,
                          Resource resource)

### remove

    protected void remove(java.util.List<Resource> resources,
                          Resource r)

### getIndexOf

    protected int getIndexOf(java.util.List<Resource> resources,
                             java.lang.String fragmentName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.